<nb-card>
  <nb-card-header>
    Select payment method
  </nb-card-header>
  <nb-card-body class="d-flex">

    <div class="method-container d-flex flex-column px-4 py-1 mx-3"
         [ngClass]="{'selected': selectedMethod === PaymentMethod.CARD}"
         (click)="selectMethod(PaymentMethod.CARD)">

      <span class="my-5">
        <i class="fa fa-credit-card"></i>
      </span>

      <p class="text-center">Credit card</p>
    </div>

    <div class="method-container d-flex flex-column px-4 py-1 mx-3"
         [ngClass]="{'selected': selectedMethod === PaymentMethod.ON_DELIVERY}"
         (click)="selectMethod(PaymentMethod.ON_DELIVERY)">

      <span class="my-5">
        <i class="fa fa-hand-holding-usd"></i>
      </span>

      <p class="text-center">On delivery</p>
    </div>

  </nb-card-body>
  <nb-card-footer class="d-flex justify-content-between">
    <button nbButton ghost status="warning" (click)="cancel()">Cancel</button>
    <button nbButton ghost status="success" (click)="confirm()" [disabled]="selectedMethod === null">Select</button>
  </nb-card-footer>
</nb-card>
